Source: haskell-wai-app-static
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-blaze-html-dev (>= 0.5),
 libghc-blaze-html-prof,
 libghc-blaze-markup-dev (>= 0.5.1),
 libghc-blaze-markup-prof,
 libghc-cryptonite-dev (>= 0.6),
 libghc-cryptonite-prof,
 libghc-file-embed-dev (>= 0.0.3.1),
 libghc-file-embed-prof,
 libghc-hspec-dev (>= 1.3),
 libghc-http-date-dev,
 libghc-http-date-prof,
 libghc-http-types-dev,
 libghc-http-types-dev (>= 0.7),
 libghc-http-types-prof,
 libghc-memory-dev (>= 0.7),
 libghc-memory-prof,
 libghc-mime-types-dev,
 libghc-mime-types-dev (<< 0.2),
 libghc-mime-types-dev (>= 0.1),
 libghc-mime-types-prof,
 libghc-mockery-dev,
 libghc-network-dev,
 libghc-optparse-applicative-dev (>= 0.7),
 libghc-optparse-applicative-prof,
 libghc-temporary-dev,
 libghc-unix-compat-dev,
 libghc-unix-compat-dev (>= 0.2),
 libghc-unix-compat-prof,
 libghc-unordered-containers-dev (>= 0.2),
 libghc-unordered-containers-prof,
 libghc-wai-dev,
 libghc-wai-dev (<< 3.3),
 libghc-wai-dev (>= 3.0),
 libghc-wai-extra-dev,
 libghc-wai-extra-dev (<< 3.1),
 libghc-wai-extra-dev (>= 3.0),
 libghc-wai-extra-prof,
 libghc-warp-dev (>= 3.0.11),
 libghc-warp-dev (<< 3.4),
 libghc-warp-prof,
 libghc-zlib-dev,
 libghc-zlib-dev (>= 0.5),
 libghc-zlib-prof,
 libghc-hspec-dev (>= 1.3),
 libghc-http-types-dev,
 libghc-mime-types-dev,
 libghc-mockery-dev,
 libghc-network-dev,
 libghc-old-locale-dev,
 libghc-temporary-dev,
 libghc-unix-compat-dev,
 libghc-wai-dev,
 libghc-wai-extra-dev,
 libghc-zlib-dev,
Build-Depends-Indep: ghc-doc,
 libghc-blaze-html-doc,
 libghc-blaze-markup-doc,
 libghc-cryptonite-doc,
 libghc-file-embed-doc,
 libghc-http-date-doc,
 libghc-http-types-doc,
 libghc-memory-doc,
 libghc-mime-types-doc,
 libghc-optparse-applicative-doc,
 libghc-unix-compat-doc,
 libghc-unordered-containers-doc,
 libghc-wai-doc,
 libghc-wai-extra-doc,
 libghc-warp-doc,
 libghc-zlib-doc,
Standards-Version: 4.5.0
Homepage: http://www.yesodweb.com/book/web-application-interface
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-wai-app-static
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-wai-app-static]

Package: libghc-wai-app-static-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: framework for type-safe, RESTful web applications${haskell:ShortBlurb}
 Yesod is a framework designed to foster creation of RESTful web
 application that have strong compile-time guarantees of correctness.
 It also affords space efficient code and portability to many
 deployment backends, from CGI to stand-alone serving.
 .
 ${haskell:Blurb}

Package: libghc-wai-app-static-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: framework for type-safe, RESTful web applications${haskell:ShortBlurb}
 Yesod is a framework designed to foster creation of RESTful web
 application that have strong compile-time guarantees of correctness.
 It also affords space efficient code and portability to many
 deployment backends, from CGI to stand-alone serving.
 .
 ${haskell:Blurb}

Package: libghc-wai-app-static-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: framework for type-safe, RESTful web applications${haskell:ShortBlurb}
 Yesod is a framework designed to foster creation of RESTful web
 application that have strong compile-time guarantees of correctness.
 It also affords space efficient code and portability to many
 deployment backends, from CGI to stand-alone serving.
 .
 ${haskell:Blurb}
